<?php


namespace App\Http\Historico;


// Modelos
use App\Log;


// Controladores
use App\Http\Controllers\ModoController;


// Historico
use App\Http\Historico\Historico;


class ModoHistorico extends Historico {    

    public function store($accion, $obj){

        $this->SetInformacionLog($accion, $obj);
        
        switch($this->accion){
            case "store":
                $nom_modo = $this->req->nombre;
                $this->tableLog->titulo = "Registro";
                $this->tableLog->descripcion = "nombre: $nom_modo";
                break;

            case "update":
                $nom_modo = ModoController::listItem($this->req->id)->nom_modo;

                switch($this->req->campo){
                    case "nombre":
                        $new_nom_modo = $this->req->nombre;
                        $this->tableLog->titulo = "Modificación de nombre";
                        $this->tableLog->descripcion = "Para el modo $nom_modo se actualiza a: $new_nom_modo";
                    break;
                }
                break;

            case "destroy":
                $nom_modo = ModoController::listItem($this->req->id)->nom_modo;
                $this->tableLog->titulo = "Eliminación";
                $this->tableLog->descripcion = "Modo: $nom_modo";
                break;

            case "status":
                $nom_modo = ModoController::listItem($this->req->id)->nom_modo;
                $statusNow = ModoController::listItem($this->req->id)->estado;
                if($statusNow == 1){
                    $this->tableLog->titulo = "Inactivación";
                    $this->tableLog->descripcion = "Modo: $nom_modo";
                } else {
                    $this->tableLog->titulo = "Reactivación";
                    $this->tableLog->descripcion = "Modo: $nom_modo";
                }
                break;
        }

        $this->tableLog->tabla = 'Modo';
        $this->tableLog->save();
    }
}